import type { RouteRecordRaw } from 'vue-router'

/*
 * 静态路由
 * 自动加载 ./static 目录的所有文件，并 push 到以下数组
 */
const staticRoutes: Array<RouteRecordRaw> = [
    {
        path:'/login',
        name: 'login',
        component: () => import('../views/login.vue'),
        meta: {
            isShow: false, // 控制当前项是否在菜单栏中渲染出来，比如你写了 login 页面的路由，但是并不希望 login在menu菜单中渲染出来，即可设为false
            title: '登陆', // menu菜单项的名称，没啥好说的
        }
    },
    {
        path:'/dashboard',
        name: 'dashboard',
        component: () => import('../views/dashboard.vue'),
        meta: {
            isShow: true, 
            title: '首页', 
        }
    },
]


export default staticRoutes
